# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("HourglassInstaller.exe")[0]
    install_exe_if_needed(bin_name, silentflags="/allusers /S", min_version=control.get_software_version())


def uninstall():
    # Uninstalling the software
    for to_uninstall in installed_softwares("Hourglass"):
        print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
        killalltasks(ensure_list(control.impacted_process))
        run(uninstall_cmd(to_uninstall["key"]))
        wait_uninstallkey_absent(to_uninstall["key"])
        break
